package com.ruoyi.project.ehs.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.web.multipart.MultipartFile;

/**
 * 隐患申请对象 t_approve_danger
 *
 * @author ruoyi
 * @date 2021-02-20
 */
public class TApproveDanger extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 申请人ID */
    @Excel(name = "申请人ID")
    private Long recorderId;

    /** 申请人姓名 */
    @Excel(name = "申请人姓名")
    private String recorderName;

    /** 执行人ID */
    @Excel(name = "执行人ID")
    private Long executorId;

    /** 验证人ID */
    @Excel(name = "验证人ID")
    private Long verificationId;

    /** 确认人一ID */
    @Excel(name = "确认人一ID")
    private Long confirmoneId;

    /** 确认人二ID */
    @Excel(name = "确认人二ID")
    private Long confirmtwoId;

    /** 隐患级别 */
    @Excel(name = "隐患级别")
    private Long hiddendangerLevel;

    /** 隐患内容 */
    @Excel(name = "隐患内容")
    private String hiddendangerContent;

    /** 改造措施 */
    @Excel(name = "改造措施")
    private String measures;

    /** 预计完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "预计完成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date completeTime;

    /** 申请状态 */
    @Excel(name = "申请状态")
    private Long status;

    /** 申请开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "申请开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creattime;

    /** 申请结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "申请结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    /** 流程ID */
    @Excel(name = "流程ID")
    private Long processId;

    /** 申请编号 */
    @Excel(name = "申请编号")
    private String approveNo;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 删除状态 */
    private Long delFlag;

    /** 发现隐患时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "发现隐患时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date discoveryTime;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 参会人员ID */
    @Excel(name = "参会人员ID")
    private String participants;

    /** 开项分类 */
    @Excel(name = "开项分类")
    private Long dangerSort;

    /** url */
    @Excel(name = "url")
    private String url;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String filename;

    /** 执行人措施前url */
    @Excel(name = "执行人措施前url")
    private String beforeUrl;

    /** 执行人措施前文件名称 */
    @Excel(name = "执行人措施前文件名称")
    private String beforeFilename;

    /** 执行人措施后url */
    @Excel(name = "执行人措施后url")
    private String afterUrl;

    /** 执行人措施后文件名称 */
    @Excel(name = "执行人措施后文件名称")
    private String afterFilename;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setRecorderId(Long recorderId)
    {
        this.recorderId = recorderId;
    }

    public Long getRecorderId()
    {
        return recorderId;
    }
    public String getRecorderName() { return recorderName; }

    public void setRecorderName(String recorderName) { this.recorderName = recorderName; }
    public void setExecutorId(Long executorId)
    {
        this.executorId = executorId;
    }

    public Long getExecutorId()
    {
        return executorId;
    }
    public Long getVerificationId() { return verificationId; }

    public void setVerificationId(Long verificationId) { this.verificationId = verificationId; }
    public void setConfirmoneId(Long confirmoneId) { this.confirmoneId = confirmoneId; }

    public Long getConfirmoneId() { return confirmoneId; }
    public void setConfirmtwoId(Long confirmtwoId) { this.confirmtwoId = confirmtwoId; }

    public Long getConfirmtwoId() { return confirmtwoId; }
    public void setHiddendangerLevel(Long hiddendangerLevel)
    {
        this.hiddendangerLevel = hiddendangerLevel;
    }

    public Long getHiddendangerLevel()
    {
        return hiddendangerLevel;
    }
    public void setHiddendangerContent(String hiddendangerContent)
    {
        this.hiddendangerContent = hiddendangerContent;
    }

    public String getHiddendangerContent()
    {
        return hiddendangerContent;
    }
    public void setMeasures(String measures)
    {
        this.measures = measures;
    }

    public String getMeasures()
    {
        return measures;
    }
    public void setCompleteTime(Date completeTime)
    {
        this.completeTime = completeTime;
    }

    public Date getCompleteTime()
    {
        return completeTime;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setCreattime(Date creattime)
    {
        this.creattime = creattime;
    }

    public Date getCreattime()
    {
        return creattime;
    }
    public void setEndtime(Date endtime)
    {
        this.endtime = endtime;
    }

    public Date getEndtime()
    {
        return endtime;
    }
    public void setProcessId(Long processId)
    {
        this.processId = processId;
    }

    public Long getProcessId()
    {
        return processId;
    }
    public void setApproveNo(String approveNo)
    {
        this.approveNo = approveNo;
    }

    public String getApproveNo()
    {
        return approveNo;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setDiscoveryTime(Date discoveryTime) { this.discoveryTime = discoveryTime; }

    public Date getDiscoveryTime() { return discoveryTime; }
    public void setRemarks(String remarks) { this.remarks = remarks; }

    public String getRemarks() { return remarks; }
    public void setParticipants(String participants) { this.participants = participants; }

    public String getParticipants() { return participants; }
    public void setDangerSort(Long dangerSort) { this.dangerSort = dangerSort; }

    public Long getDangerSort() { return dangerSort; }
    public void setUrl(String url) { this.url = url; }

    public String getUrl() { return url; }
    public void setFilename(String filename) { this.filename = filename; }

    public String getFilename() { return filename; }
    public void setBeforeUrl(String beforeUrl) { this.beforeUrl = beforeUrl; }

    public String getBeforeUrl() { return beforeUrl; }
    public void setBeforeFilename(String beforeFilename) { this.beforeFilename = beforeFilename; }

    public String getBeforeFilename() { return beforeFilename; }
    public void setAfterUrl(String afterUrl) { this.afterUrl = afterUrl; }

    public String getAfterUrl() { return afterUrl; }
    public void setAfterFilename(String afterFilename) { this.afterFilename = afterFilename; }

    public String getAfterFilename() { return afterFilename; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("recorderId", getRecorderId())
            .append("hiddendangerLevel", getHiddendangerLevel())
            .append("hiddendangerContent", getHiddendangerContent())
            .append("measures", getMeasures())
            .append("completeTime", getCompleteTime())
            .append("status", getStatus())
            .append("creattime", getCreattime())
            .append("endtime", getEndtime())
            .append("processId", getProcessId())
            .append("approveNo", getApproveNo())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("executorId", getExecutorId())
            .append("verificationId", getVerificationId())
            .append("confirmoneId", getConfirmoneId())
            .append("confirmtwoId", getConfirmtwoId())
            .append("discoveryTime", getDiscoveryTime())
            .append("remarks", getRemarks())
            .append("participants", getParticipants())
            .append("dangerSort", getDangerSort())
            .append("url", getUrl())
            .append("filename", getFilename())
            .append("beforeUrl", getBeforeUrl())
            .append("beforeFilename", getBeforeFilename())
            .append("afterUrl", getAfterUrl())
            .append("afterFilename", getAfterFilename())
            .toString();
    }
}
